Subject: bug#28630: 27.0.50; C-g while a non-main thread is sitting crashes Emacs

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Wed, 04 Oct 2017 17:32:40 +0900

>>>>> On Wed, 04 Oct 2017 11:16:50 +0300, Eli Zaretskii <[email-masked]> said:

>> I confirmed the original test case no longer crashes with your
>> patch on X11 (and also on my internal version of the Mac port for
>> Emacs 26).  Thanks.

> Thanks for testing, I will close the bug.

> OOC, could you please see whether on X the sit-for call is
> interrupted or not?  That is, do you see the "there" message after
> typing C-g?

Not interrupted (I see "there") on GTK+3, GTK+2, Athena, no toolkit,
and (my internal version of) the Mac port.

				     YAMAMOTO Mitsuharu
				[email-masked]